Retrieve a Credit Report
curl --request GET \
--url https://commerce.driv.ly/api/creditreports/{id}import requests
url = "https://commerce.driv.ly/api/creditreports/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://commerce.driv.ly/api/creditreports/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"time": "2023-11-07T05:31:56Z",
"creditBand": "<string>",
"preApproval": "<string>",
"creditScore": 123,
"hasUnknownScore": true,
"hasNS": true
},
"success": true
}{
"error": {
"code": 123,
"message": "<string>"
},
"success": true
}{
"error": {
"code": 123,
"message": "<string>"
},
"success": true
}{
"error": {
"code": 123,
"message": "<string>"
},
"success": true
}Credit
Retrieve a Credit Report
GET
/
creditreports
/
{id}
Retrieve a Credit Report
Path Parameters
Credit Report is uniquely identified by id
Query Parameters
The number of levels of related objects to include in the response
Response
Credit Report Found
Show child attributes
Show child attributes
Example:
{
"id": "crp_5dk3j9dk2l3k",
"time": "2023-04-12T15:30:00Z",
"hasNS": false,
"creditBand": {
"id": "crb_39fjkd93nmd0",
"name": "Excellent",
"minimumCreditScore": 700,
"maximumCreditScore": 800
},
"creditScore": 720,
"preApproval": {
"id": "pre_59dk394fjdl3",
"consumer": "Consumer ID",
"creditBand": "crb_39fjkd93nmd0",
"validUntilTime": "2024-04-12T00:00:00Z"
},
"hasUnknownScore": false
}
⌘I